/**
 * This file is part of the ApplicationBase project.
 * 2015 
 * Copyright (c) RENATER
 */

/**
 * Application startup file
 */

jQuery(document).ready(function() {
    var $ = jQuery;
    // Tooltips and such
    $(document).foundation();
    
    // Top button appears with page scrolling
    $(document).on( 'scroll', function(){
        if ($(window).scrollTop() > 100) {
            $('.scroll-top-wrapper').addClass('show');
        } else {
            $('.scroll-top-wrapper').removeClass('show');
        }
    });
    
    var scrollToTop = function() {
        var element = $('body');
        var offset = element.offset();
        var offsetTop = offset.top;
        $('html, body').animate({scrollTop: offsetTop}, 500, 'linear');
    };

    $('.scroll-top-wrapper').on('click', scrollToTop);

});
